diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 195facd..3b141b7 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -17831,8 +17831,8 @@ ElementaryFunctionStructurePackage(R,F): Exports == Implementation where
       ++ realElementary(f) rewrites \spad{f} in terms of the 4 fundamental real
       ++ transcendental elementary functions: \spad{log, exp, tan, atan}.
     realElementary: (F, SY) -> F
-      ++ realElementary(f,x) rewrites the kernels of \spad{f} involving \spad{x}
-      ++ in terms of the 4 fundamental real
+      ++ realElementary(f,x) rewrites the kernels of \spad{f} involving
+      ++ \spad{x} in terms of the 4 fundamental real
       ++ transcendental elementary functions: \spad{log, exp, tan, atan}.
     validExponential: (List K, F, SY) -> Union(F, "failed")
       ++ validExponential([k1,...,kn],f,x) returns \spad{g} if \spad{exp(f)=g}
@@ -17896,7 +17896,7 @@ ElementaryFunctionStructurePackage(R,F): Exports == Implementation where
     toU ker              == [func for k in ker | (func := ktoU k) ^= 0]
     toV ker              == [func for k in ker | (func := ktoV k) ^= 0]
     rtNormalize f        == rootNormalize0(f).func
-    toR(ker, x) == select(is?(#1, NTHR) and first argument(#1) = x, ker)
+    toR(ker, x) == select(s+->is?(s, NTHR) and first argument(s) = x, ker)
 
     if R has GcdDomain then
       tanQ(c, x) ==
@@ -17916,7 +17916,7 @@ ElementaryFunctionStructurePackage(R,F): Exports == Implementation where
       tanSum concat(tan c, l)
 
     rootNormalize0 f ==
-      ker := select_!(is?(#1, NTHR) and empty? variables first argument #1,
+      ker := select_!(s+->is?(s, NTHR) and empty? variables first argument s,
                       tower f)$List(K)
       empty? ker => [f, empty(), empty()]
       (n := (#ker)::Z - 1) < 1 => [f, empty(), empty()]
@@ -17924,7 +17924,7 @@ ElementaryFunctionStructurePackage(R,F): Exports == Implementation where
         (u := rootKernelNormalize(f, first(ker, i), kk)) case REC =>
           rec := u::REC
           rn  := rootNormalize0(rec.func)
-          return [rn.func, concat(rec.kers, rn.kers), concat(rec.vals, rn.vals)]
+          return [rn.func, concat(rec.kers,rn.kers), concat(rec.vals, rn.vals)]
       [f, empty(), empty()]
 
     deprel(ker, k, x) ==
@@ -17960,8 +17960,8 @@ ElementaryFunctionStructurePackage(R,F): Exports == Implementation where
       0
 
     smpElem(p, l) ==
-      map(k2Elem(#1, l), #1::F, p)$PolynomialCategoryLifting(
-                                       IndexedExponents K, K, R, SMP, F)
+      map(x+->k2Elem(x, l), y+->y::F, p)_
+       $PolynomialCategoryLifting(IndexedExponents K, K, R, SMP, F)
 
     k2Elem(k, l) ==
       ez, iez, tz2: F
diff --git a/changelog b/changelog
index 88a0374..9a45e9f 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090515 tpd src/axiom-website/patches.html 20090515.07.tpd.patch
+20090515 tpd books/bookvol10.4 EFSTRUC +-> conversion
 20090515 tpd src/axiom-website/patches.html 20090515.06.tpd.patch
 20090515 tpd books/bookvol10.3 IDEAL +-> conversion
 20090515 tpd src/axiom-website/patches.html 20090515.05.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index d2056f2..47d6f56 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1316,5 +1316,7 @@ bookvol10.3 PLOT3D +-> conversion<br/>
 bookvol10.4 SIGNEF +-> conversion<br/>
 <a href="patches/20090515.06.tpd.patch">20090515.06.tpd.patch</a>
 bookvol10.3 IDEAL +-> conversion<br/>
+<a href="patches/20090515.07.tpd.patch">20090515.07.tpd.patch</a>
+bookvol10.4 EFSTRUC +-> conversion<br/>
  </body>
 </html>
